Subject: Re: [PATCH 1/2] edac: mpc85xx: Fix MPC85xx dependency

From: Anton Vorontsov <[email-masked]>
Date: Thu, 8 Jul 2010 08:56:27 +0400

On Wed, Jul 07, 2010 at 02:45:02PM -0700, Andrew Morton wrote:
> On Fri, 2 Jul 2010 16:41:11 +0400
> Anton Vorontsov <[email-masked]> wrote:
> 
> > Since commit 5753c082f66eca5be81f6bda85c1718c5eea6ada ("powerpc/85xx:
> > Kconfig cleanup"), there is no MPC85xx Kconfig symbol anymore, so the
> > driver became non-selectable.
> 
> hm.  5753c082f66eca5be81f6bda85c1718c5eea6ada got merged into mainline
> six months ago.  How come nobody noticed?

Dunno. Well, it's hard to notice these sorts of things until
somebody actually needs this driver on MPC85xx platform. :-)

> > This patch fixes the issue by switching to PPC_85xx symbol.
> > 
> > Signed-off-by: Anton Vorontsov <[email-masked]>
> > ---
[...]
> > -	depends on EDAC_MM_EDAC && FSL_SOC && (PPC_83xx || MPC85xx)
> > +	depends on EDAC_MM_EDAC && FSL_SOC && (PPC_83xx || PPC_85xx)
> >  	help
> >  	  Support for error detection and correction on the Freescale
> >  	  MPC8349, MPC8560, MPC8540, MPC8548
> 
> I suppose we shold scoot this into 2.6.35 and mark it for -stable
> backporting.  All very odd.

Yeah, -stable 2.6.{33,34} sounds good.

Thanks.